Skip to main content
POST
/
api
/
auth
/
login
curl -X POST https://api.finscreener.in/api/auth/login \
  -H "Content-Type: application/json" \
  -d '{"api_key": "fsk_your_api_key"}'
{
  "token": {
    "access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
    "refresh_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
    "token_type": "bearer"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.finscreener.in/llms.txt

Use this file to discover all available pages before exploring further.

Authentication

The Developer API uses API key authentication only. You must first generate an API key from your Finscreener dashboard.
api_key
string
required
Developer API key (format: fsk_xxx). Generate one from your Finscreener dashboard under Settings → API Key.
Email/password login is not supported for the Developer API. You must use an API key.

Response

token
object
curl -X POST https://api.finscreener.in/api/auth/login \
  -H "Content-Type: application/json" \
  -d '{"api_key": "fsk_your_api_key"}'
{
  "token": {
    "access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
    "refresh_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
    "token_type": "bearer"
  }
}